# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.geo.impl
Class GmlUpperCorner

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ValueConstruct
              com.google.gdata.data.geo.impl.PointConstruct
                  com.google.gdata.data.geo.impl.GmlUpperCorner

All Implemented Interfaces:
  Extension, Point

    public class GmlUpperCorner

extends PointConstruct

Point that represents the upper corner of a gml:Envelope.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.ValueConstruct
`attrName`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`GmlUpperCorner()` Constructs an empty gml:upperCorner element.
`GmlUpperCorner(java.lang.Double lat, java.lang.Double lon)` Constructs a gml:upperCorner element with the given lat and lon.
`GmlUpperCorner(Point copyFrom)` Constructs a gml:upperCorner element by copying the data from the given point.

Method Summary
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description and is repeatable.
`static ExtensionDescription` `getDefaultDescription(boolean repeatable)` Returns the suggested extension description with configurable repeatability.

Methods inherited from class com.google.gdata.data.geo.impl.PointConstruct
`getLatitude, getLongitude, setGeoLocation, setValue, toString, validate`

Methods inherited from class com.google.gdata.data.ValueConstruct
`consumeAttributes, equals, generate, getHandler, getValue, hashCode, hasValue, isRequired, putAttributes, setRequired`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.Extension
`generate, getHandler`

Constructor Detail

### GmlUpperCorner

    public GmlUpperCorner()

  Constructs an empty gml:upperCorner element.

### GmlUpperCorner

    public GmlUpperCorner(java.lang.Double lat,
                          java.lang.Double lon)

  Constructs a gml:upperCorner element with the given lat and lon.

### GmlUpperCorner

    public GmlUpperCorner(Point copyFrom)

  Constructs a gml:upperCorner element by copying the data from the given point. If the given point is null an empty point will be created.

Method Detail

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription(boolean repeatable)

  Returns the suggested extension description with configurable repeatability.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description and is repeatable.